<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1032pt" height="284pt"
 viewBox="0.00 0.00 1032.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 1028,-280 1028,4 -4,4"/>
<text text-anchor="start" x="491.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="278,-10 278,-30 298,-30 298,-10 278,-10"/>
<text text-anchor="start" x="301.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="391,-10 391,-30 411,-30 411,-10 391,-10"/>
<text text-anchor="start" x="414.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="477,-10 477,-30 497,-30 497,-10 477,-10"/>
<text text-anchor="start" x="500.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="574,-10 574,-30 594,-30 594,-10 574,-10"/>
<text text-anchor="start" x="597.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="670,-10 670,-30 690,-30 690,-10 670,-10"/>
<text text-anchor="start" x="693.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-268 1016,-268 1016,-70 8,-70"/>
</g>
<g id="clust11" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="black" points="870,-78 870,-130 1008,-130 1008,-78 870,-78"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="754,-78 754,-130 862,-130 862,-78 754,-78"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="481,-208 481,-260 605,-260 605,-208 481,-208"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 746,-130 746,-78 16,-78"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="737.94,-122 632.06,-122 632.06,-86 737.94,-86 737.94,-122"/>
<text text-anchor="middle" x="685" y="-99.8" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node6" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="584.66,-187 581.66,-191 560.66,-191 557.66,-187 501.34,-187 501.34,-151 584.66,-151 584.66,-187"/>
<text text-anchor="middle" x="543" y="-164.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M685,-122.03C685,-138.4 685,-160 685,-160 685,-160 594.84,-160 594.84,-160"/>
<polygon fill="black" stroke="black" points="594.84,-156.5 584.84,-160 594.84,-163.5 594.84,-156.5"/>
</g>
<!-- DashboardComponent -->
<g id="node2" class="node">
<title>DashboardComponent</title>
<polygon fill="#ffffb3" stroke="black" points="613.97,-122 472.03,-122 472.03,-86 613.97,-86 613.97,-122"/>
<text text-anchor="middle" x="543" y="-99.8" font-family="Times,serif" font-size="14.00">DashboardComponent</text>
</g>
<!-- DashboardComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>DashboardComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M543,-122.11C543,-122.11 543,-140.99 543,-140.99"/>
<polygon fill="black" stroke="black" points="539.5,-140.99 543,-150.99 546.5,-140.99 539.5,-140.99"/>
</g>
<!-- SignInComponent -->
<g id="node3" class="node">
<title>SignInComponent</title>
<polygon fill="#ffffb3" stroke="black" points="454.17,-122 335.83,-122 335.83,-86 454.17,-86 454.17,-122"/>
<text text-anchor="middle" x="395" y="-99.8" font-family="Times,serif" font-size="14.00">SignInComponent</text>
</g>
<!-- SignInComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>SignInComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M395,-122.03C395,-138.4 395,-160 395,-160 395,-160 490.99,-160 490.99,-160"/>
<polygon fill="black" stroke="black" points="490.99,-163.5 500.99,-160 490.98,-156.5 490.99,-163.5"/>
</g>
<!-- SignUpComponent -->
<g id="node4" class="node">
<title>SignUpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="318.11,-122 193.89,-122 193.89,-86 318.11,-86 318.11,-122"/>
<text text-anchor="middle" x="256" y="-99.8" font-family="Times,serif" font-size="14.00">SignUpComponent</text>
</g>
<!-- SignUpComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>SignUpComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M256,-122.11C256,-141.34 256,-169 256,-169 256,-169 491.27,-169 491.27,-169"/>
<polygon fill="black" stroke="black" points="491.27,-172.5 501.27,-169 491.27,-165.5 491.27,-172.5"/>
</g>
<!-- VerifyEmailComponent -->
<g id="node5" class="node">
<title>VerifyEmailComponent</title>
<polygon fill="#ffffb3" stroke="black" points="175.8,-122 24.2,-122 24.2,-86 175.8,-86 175.8,-122"/>
<text text-anchor="middle" x="100" y="-99.8" font-family="Times,serif" font-size="14.00">VerifyEmailComponent</text>
</g>
<!-- VerifyEmailComponent&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>VerifyEmailComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M100,-122.29C100,-144.21 100,-178 100,-178 100,-178 491.32,-178 491.32,-178"/>
<polygon fill="black" stroke="black" points="491.32,-181.5 501.32,-178 491.32,-174.5 491.32,-181.5"/>
</g>
<!-- AppComponent  -->
<g id="node8" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="597.44,-252 488.56,-252 488.56,-216 597.44,-216 597.44,-252"/>
<text text-anchor="middle" x="543" y="-229.8" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge7" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M543,-187.11C543,-187.11 543,-205.99 543,-205.99"/>
<polygon fill="black" stroke="black" points="539.5,-205.99 543,-215.99 546.5,-205.99 539.5,-205.99"/>
</g>
<!-- PagesModule -->
<g id="node7" class="node">
<title>PagesModule</title>
<polygon fill="#8dd3c7" stroke="black" points="854.21,-122 851.21,-126 830.21,-126 827.21,-122 761.79,-122 761.79,-86 854.21,-86 854.21,-122"/>
<text text-anchor="middle" x="808" y="-99.8" font-family="Times,serif" font-size="14.00">PagesModule</text>
</g>
<!-- PagesModule&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>PagesModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M808,-122.11C808,-141.34 808,-169 808,-169 808,-169 594.7,-169 594.7,-169"/>
<polygon fill="black" stroke="black" points="594.7,-165.5 584.7,-169 594.7,-172.5 594.7,-165.5"/>
</g>
<!-- BookService -->
<g id="node9" class="node">
<title>BookService</title>
<ellipse fill="#fdb462" stroke="black" cx="939" cy="-104" rx="60.84" ry="18"/>
<text text-anchor="middle" x="939" y="-99.8" font-family="Times,serif" font-size="14.00">BookService</text>
</g>
<!-- BookService&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>BookService&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M939,-122.29C939,-144.21 939,-178 939,-178 939,-178 595,-178 595,-178"/>
<polygon fill="black" stroke="black" points="595,-174.5 585,-178 595,-181.5 595,-174.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/app.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DashboardComponent.html">DashboardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SignInComponent.html">SignInComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SignUpComponent.html">SignUpComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VerifyEmailComponent.html">VerifyEmailComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/BookService.html">BookService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/PagesModule.html">PagesModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Bootstrap<a href="https://angular.io/api/core/NgModule#bootstrap" target="_blank"
                            title="Official documentation about module bootstrap"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;
import { NgModule } from &#x27;@angular/core&#x27;;

import { AppComponent } from &#x27;./app.component&#x27;;
import { PagesModule } from &#x27;./pages/pages.module&#x27;;
import { HttpClientModule } from &#x27;@angular/common/http&#x27;;
import { BookService } from &#x27;./services/book.service&#x27;;
import { DashboardComponent } from &#x27;./login/dashboard/dashboard.component&#x27;;
import { SignInComponent } from &#x27;./login/sign-in/sign-in.component&#x27;;
import { VerifyEmailComponent } from &#x27;./login/verify-email/verify-email.component&#x27;;
import { SignUpComponent } from &#x27;./login/sign-up/sign-up.component&#x27;;
import { AngularFirestoreModule } from &#x27;@angular/fire/firestore&#x27;;
import { AngularFireAuthModule } from &#x27;@angular/fire/auth&#x27;;
import { AngularFireModule } from &#x27;@angular/fire&#x27;;
import { environment } from &#x27;../environments/environment&#x27;;

@NgModule({
  declarations: [
    AppComponent,
    DashboardComponent,
    SignInComponent,
    VerifyEmailComponent,
    SignUpComponent,
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    PagesModule,   
    AngularFireModule.initializeApp(environment.firebaseConfig),
    AngularFireAuthModule,
    AngularFirestoreModule,
    
  ],
  providers: [
    BookService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
